GCMUtil (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.modes.gcm

## Class GCMUtil

- java.lang.Object
- - org.bouncycastle.crypto.modes.gcm.GCMUtil

-     public abstract class GCMUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCMUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `asBytes(int[] x)`
    `static void` | `asBytes(int[] x, byte[] z)`
    `static byte[]` | `asBytes(long[] x)`
    `static void` | `asBytes(long[] x, byte[] z)`
    `static int[]` | `asInts(byte[] x)`
    `static void` | `asInts(byte[] x, int[] z)`
    `static long[]` | `asLongs(byte[] x)`
    `static void` | `asLongs(byte[] x, long[] z)`
    `static void` | `multiply(byte[] x, byte[] y)`
    `static void` | `multiply(int[] x, int[] y)`
    `static void` | `multiply(long[] x, long[] y)`
    `static void` | `multiplyP(int[] x)`
    `static void` | `multiplyP(int[] x, int[] z)`
    `static void` | `multiplyP8(int[] x)`
    `static void` | `multiplyP8(int[] x, int[] y)`
    `static byte[]` | `oneAsBytes()`
    `static int[]` | `oneAsInts()`
    `static long[]` | `oneAsLongs()`
    `static void` | `xor(byte[] x, byte[] y)`
    `static void` | `xor(byte[] x, byte[] y, byte[] z)`
    `static void` | `xor(byte[] x, byte[] y, int yOff, int yLen)`
    `static void` | `xor(int[] x, int[] y)`
    `static void` | `xor(int[] x, int[] y, int[] z)`
    `static void` | `xor(long[] x, long[] y)`
    `static void` | `xor(long[] x, long[] y, long[] z)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GCMUtil

          public GCMUtil()

  - ### Method Detail

    - #### oneAsBytes

          public static byte[] oneAsBytes()

    - #### oneAsInts

          public static int[] oneAsInts()

    - #### oneAsLongs

          public static long[] oneAsLongs()

    - #### asBytes

          public static byte[] asBytes(int[] x)

    - #### asBytes

          public static void asBytes(int[] x,
                     byte[] z)

    - #### asBytes

          public static byte[] asBytes(long[] x)

    - #### asBytes

          public static void asBytes(long[] x,
                     byte[] z)

    - #### asInts

          public static int[] asInts(byte[] x)

    - #### asInts

          public static void asInts(byte[] x,
                    int[] z)

    - #### asLongs

          public static long[] asLongs(byte[] x)

    - #### asLongs

          public static void asLongs(byte[] x,
                     long[] z)

    - #### multiply

          public static void multiply(byte[] x,
                      byte[] y)

    - #### multiply

          public static void multiply(int[] x,
                      int[] y)

    - #### multiply

          public static void multiply(long[] x,
                      long[] y)

    - #### multiplyP

          public static void multiplyP(int[] x)

    - #### multiplyP

          public static void multiplyP(int[] x,
                       int[] z)

    - #### multiplyP8

          public static void multiplyP8(int[] x)

    - #### multiplyP8

          public static void multiplyP8(int[] x,
                        int[] y)

    - #### xor

          public static void xor(byte[] x,
                 byte[] y)

    - #### xor

          public static void xor(byte[] x,
                 byte[] y,
                 int yOff,
                 int yLen)

    - #### xor

          public static void xor(byte[] x,
                 byte[] y,
                 byte[] z)

    - #### xor

          public static void xor(int[] x,
                 int[] y)

    - #### xor

          public static void xor(int[] x,
                 int[] y,
                 int[] z)

    - #### xor

          public static void xor(long[] x,
                 long[] y)

    - #### xor

          public static void xor(long[] x,
                 long[] y,
                 long[] z)